## tinyproxy 1.6.3-3.2-0auth

=== debian/changelog ===
tinyproxy (1.6.3-3.2-0auth) unstable; urgency=low

  * Included patch to perform upstream authentication: https://banu.com/bugzilla/attachment.cgi?id=49

 -- Jonathan Schultz <jonathan@imatix.com>  Tue, 15 Dec 2010 17:24:24 +1100

tinyproxy (1.6.3-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * Note the Debian revision has been bumped to -3.2 instead of -2.2 to
    ease Ubuntu synchronisation, as they mistakenly uploaded -3 some time ago.
  * Bump debhelper requirement to 7 and add quilt to Build-Depends.
  * Move to debhelper compat level 7.
  * Cleanup rules a bit for debhelper v7.
  * Move patches to upstream code to log_format_string_fix.patch,
    scanner_debug_removal.patch and 99_autoreconf.patch.
  * Remove apparently old and unused patches debian/logfile.patch and
    debian/dfree-[1-4].patch.
  * Make logrotate script restart tinyproxy only if it appears to be
    running (closes: #369787). A better fix would be to improve the init
    script adding a "try-restart" option, though.
  * Apply patch from Christoph Biedl to allow tinyproxy to remove its pidfile
    when shutting down, so the logrotate change actually works. This changes
    the pidfile location to /var/run/tinyproxy.
  * Add "Short-Description" and "Description" headers to the init script.
  * Fix a typo in debian/rules so config.log gets removed on clean.
  * Remove libtool and doc/report.sh on clean, and fix the rule as suggested
    by lintian.
  * Copy upstream's default conffile as debian/tinyproxy.conf and install
    that one in the package.
  * Disable non-localhost access by default, while adding commented entries
    for all private network ranges (closes: #387721, #393236).
  * Install example configuration file in /usr/share/doc/tinyproxy/examples.
  * Remove obsolete debian/conffiles.
  * Fix reference to conffile location in README.Debian (closes: #417338).
  * Pass --enable-filter --enable-transparent-proxy --enable-upstream
    to configure to explicitly enable some missing features.
    (closes: #400931, LP #42598).
  * Add doc/filter-howto.txt to installed documentation.
  * Remove postinst and prerm script, which were used to fix an upgrade bug
    6 years ago.
  * Update upstream url in debian/copyright, and add a Homepage field to
    debian/control.
  * Extend copyright so it contains all the required information.
  * Add a Debian.source document with notes about quilt usage to obtain
    patched code.
  * Add a watch file.
  * Bump Standards-Version to 3.8.0.

 -- Jordi Mallach <jordi@debian.org>  Fri, 04 Jul 2008 17:06:00 +0200

tinyproxy (1.6.3-2.1) unstable; urgency=low

  * Non-maintainer upload to solve release goal.
  * Add LSB dependency header to init.d scripts (Closes: #466149).
  * Fix format string bug in log.c (Closes: 366410).  Patch
    from Karl Chen.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 29 Mar 2008 12:32:29 +0100

tinyproxy (1.6.3-2) unstable; urgency=low

  * Remove debugging grammar.[ch] and scanner.c as
    noted by upstream

 -- Ed Boraas <ed@debian.org>  Wed, 11 Aug 2004 12:20:18 -0600

tinyproxy (1.6.3-1) unstable; urgency=low

  * New upstream release

 -- Ed Boraas <ed@debian.org>  Tue, 10 Aug 2004 19:16:04 -0600

tinyproxy (1.6.2-3) unstable; urgency=low

  * Properly close file handles on daemonize (Closes: #248124) 

 -- Ed Boraas <ed@debian.org>  Mon,  9 Aug 2004 22:23:55 -0600

tinyproxy (1.6.2-2) unstable; urgency=low

  * Actually depend on logrotate 

 -- Ed Boraas <ed@debian.org>  Mon,  9 Aug 2004 18:16:09 -0600

tinyproxy (1.6.2-1) unstable; urgency=low

  * New upstream release (Closes: #262122)
    * Makefile now uses proper prefixing for mkinstalldirs
      (Closes: #264508)

 -- Ed Boraas <ed@debian.org>  Mon,  9 Aug 2004 17:57:42 -0600

tinyproxy (1.6.1-3) unstable; urgency=low

  * Include a logrotate script (Closes: #163670)
  * Updated to Policy 3.6.1

 -- Ed Boraas <ed@debian.org>  Sun,  8 Aug 2004 00:20:04 -0600

tinyproxy (1.6.1-2) unstable; urgency=low

  * Build-depend on bison (Closes; #207579)

 -- Ed Boraas <ed@debian.org>  Thu, 28 Aug 2003 07:14:47 -0600

tinyproxy (1.6.1-1) unstable; urgency=low

  * New upstream release (Closes: #186935) 

 -- Ed Boraas <ed@debian.org>  Mon, 11 Aug 2003 19:32:18 -0600

tinyproxy (1.5.1-2) unstable; urgency=low

  * Open logfile with elevated permissions, passing fd to children 
    (Closes: #159614)
    * Urgency still low since the affected version is not in testing
 
 -- Ed Boraas <ed@debian.org>  Wed, 4 Sep 2002 23:05:16 -0600

tinyproxy (1.5.1-1) unstable; urgency=low

  * New upstream release (Closes: #157315)
 
 -- Ed Boraas <ed@debian.org>  Sat, 24 Aug 2002 16:48:50 -0600

tinyproxy (1.4.3-3) unstable; urgency=high

  * Work around paper-bag postrm bug introduced in 1.4.3-1 which
    was preventing upgrades (Closes: #147858)
  * postrm only cleans /etc/tinyproxy on purge, as it should have
  * SECURITY: Please use this package in woody, as -2 won't
    upgrade over 1.4.3-1 because of the postrm bug
 
 -- Ed Boraas <ed@debian.org>  Thu, 23 May 2002 06:54:19 -0700

tinyproxy (1.4.3-2) unstable; urgency=high

  * SECURITY: Fixed double-free errors in consultation with
    upstream authors. This fix affects woody. (Closes: #147240)

 -- Ed Boraas <ed@debian.org>  Tue, 21 May 2002 21:35:35 -0700

tinyproxy (1.4.3-1) unstable; urgency=low

  * New upstream release (Closes: #139312)
  * Remove /etc/tinyproxy after purge (Closes: #128246)
  * Include RFC_INFO in /usr/share/doc/tinyproxy

 -- Ed Boraas <ed@debian.org>  Sat, 23 Mar 2002 14:42:35 -0700

tinyproxy (1.4.2.2-3) unstable; urgency=low

  * Updated README.Debian to refer to new conffile in /etc
    (Closes: #116769)
  * Changed default port back to 8080

 -- Ed Boraas <ed@debian.org>  Tue, 20 Nov 2001 06:53:54 -0700

tinyproxy (1.4.2.2-2) unstable; urgency=low

  * Add flex to build-deps (Closes: #116156)
  * Include default tinyproxy.conf (Closes: #116186)

 -- Ed Boraas <ed@debian.org>  Fri, 19 Oct 2001 17:13:37 -0600


