=== debian/control ===
Source: tinyproxy
Section: net
Priority: optional
Maintainer: Ed Boraas <ed@debian.org> 
Standards-Version: 3.8.0
Build-Depends: debhelper (>= 5), libadns1-dev, flex, bison, quilt
#Homepage: http://tinyproxy.banu.com/

Package: tinyproxy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, logrotate
Description: A lightweight, non-caching, optionally anonymizing http proxy 
 An anonymizing http proxy which is very light on system resources,
 ideal for smaller networks and similar situations where other proxies 
 (such as Squid) may be overkill and/or a security risk. Tinyproxy can
 also be configured to anonymize http requests (allowing for exceptions
 on a per-header basis).
