=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Christoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/quilt/quilt.make

build: patch build-stamp
build-stamp:
	dh_testdir

	./configure --prefix=/usr --bindir=/usr/sbin --mandir=/usr/share/man \
		--enable-filter --enable-transparent-proxy --enable-upstream \
		--enable-xtinyproxy
	$(MAKE) 

	touch build-stamp

clean: unpatch
	dh_testdir
	dh_testroot

	[ ! -f Makefile ] || $(MAKE) distclean

	rm -f config.cache config.status config.log libtool doc/report.sh
	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/tinyproxy
	cp -a $(CURDIR)/debian/tinyproxy.conf $(CURDIR)/debian/tinyproxy/etc/tinyproxy
	rm -f $(CURDIR)/debian/tinyproxy/etc/tinyproxy/tinyproxy.conf-dist
	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
	dh_installinit
	dh_installcron
	dh_installlogrotate
#	dh_installmanpages
	dh_installchangelogs ChangeLog 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
