=== debian/watch ===
version=3

http://files.banu.com/pub/tinyproxy/1.6/tinyproxy-(.*)\.tar\.gz
