## tinyproxy 1.8.1

=== debian/changelog ===
tinyproxy (1.8.1-3) unstable; urgency=low

  * Add conf_fix_alignment.patch: fix a crash on startup on alpha
    and ia64.
  * Disable the testsuite on kfreebsd architectures, as it fails due to
    some assumptions on how loopback network interfaces work on FreeBSD.

 -- Jordi Mallach <jordi@debian.org>  Wed, 24 Mar 2010 13:05:32 +0100

tinyproxy (1.8.1-2) unstable; urgency=low

  * Add testsuite_user_var.patch: don't assume $USER is set in the
    build environment; use $(whoami) instead.

 -- Jordi Mallach <jordi@debian.org>  Tue, 23 Mar 2010 15:58:13 +0100

tinyproxy (1.8.1-1) unstable; urgency=low

  * New upstream release.
    - fixes behaviour with no Listen directive in config (closes: #572514).
  * Drop all patches: all are included in this release, or are obsolete.

 -- Jordi Mallach <jordi@debian.org>  Tue, 09 Mar 2010 23:33:36 +0100

tinyproxy (1.8.0-1) unstable; urgency=low

  * New upstream stable release (closes: #309383, #567258).
    - fixes reordering of headers issue (closes: #405068).
    - fixes bind directive problems (closes: #517674).
    - manpages are rewritten; misleading GPL comments are gone
      (closes: #443569).
    - the tunnel directive is no longer present (closes: #167898).
    - logfiles are no longer removed on start (closes: #160764).
  * Add myself to Uploaders.
  * Change section to web.
  * Update copyright info.
  * Switch to source version 3.0 (quilt). Drop Build-Dep on quilt and
    remove README.source.
  * Add Build-Depends on asciidoc and xmlto.
  * Drop the following patches, which were fixed or obsoleted upstream:
    99_autoreconf.patch, scanner_debug_removal.patch.
  * Add DEP-3 headers to remaining patches.
  * Split pidfile_ownership.patch in two, creating a new patch handling
    documentation. Disable the ownership patch, which doesn't handle
    logfiles and changing the patch of the piddir is enough workaround
    for now.
  * Add logfile_location.patch, similar to the pidfile issue.
  * Install /var/log/tinyproxy with owner nobody:adm and mode 750, make
    sure dh_fixperms does not revert this, and add a lintian override.
  * Resync debian/tinyproxy.conf with new version.
  * Don't ship /var/run/tinyproxy, the init script handles its creation.
  * Make init script check for conffile availability before grepping it.
  * Bump Standards-Version to 3.8.4.
  * Rewrite debian/rules using dh7, bump debhelper requirement to >= 7.0.50.
  * Update Homepage and copyright to match the new upstream URL.
  * Add Vcs fields.
  * Update debian/docs, debian/dirs and debian/examples.
  * Update watch file, updating download URL and removing hardcoded stable
    release version from the path (closes: #551405).
  * Fix logrotate script to use invoke-rc.d and okifempty
    (closes: #536751, #567981).
  * Use reload in logrotate, avoiding SIGTERMs (closes: #563482).
  * Enable reverse proxying support, and explictly enable regexcheck.
  * Set $sysconfdir to /etc.
  * Install templates in /usr/share/tinyproxy.
  * Handle tinyproxy's conffile location change in preinst/postinst.
  * Add uninteractive_testsuite.patch to make the testsuite not wait for
    a keypress when finishing.

 -- Jordi Mallach <jordi@debian.org>  Mon, 22 Feb 2010 20:48:12 +0100

tinyproxy (1.6.3-3.3) unstable; urgency=low

  * Non-maintainer upload.
  * Clarify debian/copyright about "version 2 or above" GPL clause.
    (Closes: #567265)

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 12 Feb 2010 11:04:04 +0100
