## tinyproxy 1.8.2

=== debian/changelog ===
tinyproxy (1.8.2-2) unstable; urgency=high

  * Upper case "HTTP" in package descriptions (closes: #588193).
  * Add validate_port_number.patch: exit if an invalid port is declared in
    the Port directive.
  * Add netmask_generation.patch: fix bug in ACL netmask generation, which
    could allow to use Tinyproxy as an open proxy very easily
    [CVE-2011-1499] (closes: #621493).
  * Bump Standards-Version to 3.9.2, with no changes required.

 -- Jordi Mallach <jordi@debian.org>  Mon, 18 Apr 2011 23:03:16 +0200

tinyproxy (1.8.2-1) unstable; urgency=low

  * New upstream release.
  * Drop all patches; all were taken from Git, or have been applied
    upstream.
  * Add upstream_matching_fix.patch by Daniel Piddock, to fix handling
    of upstream rules (closes: #585075).

 -- Jordi Mallach <jordi@debian.org>  Wed, 09 Jun 2010 01:08:17 +0200

tinyproxy (1.8.1-5) unstable; urgency=medium

  * Add sighup_memleak.patch, by John van der Kamp, to fix a memleak
    when reloading tinyproxy, which happens daily via logrotate
    (closes: #579427).
  * Adjust testsuite_user_var.patch to use output of "id -un" instead of
    "whoami".

 -- Jordi Mallach <jordi@debian.org>  Wed, 02 Jun 2010 09:43:50 +0200

tinyproxy (1.8.1-4) unstable; urgency=low

  * Add log_message_storage_crash.patch to fix crashes when reloading
    tinyproxy, as triggered by logrotate (thanks Dmitry Semyonov for the
    bug report and patch, closes: #578319).

 -- Jordi Mallach <jordi@debian.org>  Fri, 23 Apr 2010 15:41:36 +0200
