=== debian/control ===
Source: tinyproxy
Section: web
Priority: optional
Maintainer: Ed Boraas <ed@debian.org>
Uploaders: Jordi Mallach <jordi@debian.org>
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 7.0.50~),
               asciidoc, xmlto,
               libadns1-dev,
               flex, bison
Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/tinyproxy
Vcs-Browser: http://svn.debian.org/viewsvn/collab-maint/deb-maint/tinyproxy/
Homepage: http://www.banu.com/tinyproxy/

Package: tinyproxy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, logrotate
Description: A lightweight, non-caching, optionally anonymizing HTTP proxy
 An anonymizing HTTP proxy which is very light on system resources,
 ideal for smaller networks and similar situations where other proxies
 (such as Squid) may be overkill and/or a security risk. Tinyproxy can
 also be configured to anonymize HTTP requests (allowing for exceptions
 on a per-header basis).
