=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

%:
	dh $@

override_dh_auto_configure:
	./configure --prefix=/usr --sysconfdir=/etc \
		--bindir=/usr/sbin --mandir=/usr/share/man \
		--enable-filter \
		--enable-transparent \
		--enable-regexcheck \
		--enable-reverse \
		--enable-upstream \
		--enable-xtinyproxy

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tinyproxy

	# Make sure /var/log/tinyproxy is writable by the tinyproxy user
	chmod 750 $(CURDIR)/debian/tinyproxy/var/log/tinyproxy
	chown nobody:adm $(CURDIR)/debian/tinyproxy/var/log/tinyproxy
	cp -a $(CURDIR)/debian/tinyproxy.conf $(CURDIR)/debian/tinyproxy/etc
	cp -a $(CURDIR)/data/templates/*.html $(CURDIR)/debian/tinyproxy/usr/share/tinyproxy

override_dh_fixperms:
	dh_fixperms -X var/log/tinyproxy

ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
# The testsuite currently fails on kFreeBSD, apparently due to different
# behaviour of loopback network interfaces.
override_dh_auto_test:
endif
