## tinyproxy 1.8.3

=== debian/changelog ===
tinyproxy (1.8.3-3ubuntu1) quantal; urgency=low

  * src/child.c, src/hashmap.c: Define _GNU_SOURCE to fix several implicit
    function declarations (fixes FTBFS on amd64).

 -- Michael Bienia <geser@ubuntu.com>  Tue, 02 Oct 2012 10:57:21 +0200

tinyproxy (1.8.3-3) unstable; urgency=high

  * Add patches for CVE-2012-3505 (closes: #685281):
    - CVE-2012-3505-tinyproxy-limit-headers.patch: Limit the number of
      headers to prevent DoS attacks.
    - CVE-2012-3505-tinyproxy-randomized-hashmaps.patch: Randomize hashmaps
      in order to avoid fake headers getting included in the same bucket,
      allowing for DoS attacks.
    Bug reported and patches contributed by gpernot.

 -- Jordi Mallach <jordi@debian.org>  Mon, 24 Sep 2012 21:05:41 +0200

tinyproxy (1.8.3-2) unstable; urgency=low

  * Update Homepage again: webpage is served over https.
  * Add prepend_ldflags.patch, by Moritz Muehlenhoff, to avoid overwriting
    LDFLAGS. Enable dh_autoreconf support.
  * Switch to debhelper v9 to take advantage of automatic dpkg-buildflags
    setting and enable hardened build flags (closes: #655870).
  * Bump Build-Deps to debhelper (>= 8.9.4).

 -- Jordi Mallach <jordi@debian.org>  Mon, 23 Jan 2012 12:10:34 +0100

tinyproxy (1.8.3-1) unstable; urgency=low

  * New upstream release.
  * Drop all patches, all are included upstream.
  * Add CVE number to previous changelog entry, as validate_port_number.patch
    could actually prevent a buffer overflow and access restriction bypass.
  * Fix watch file, and switch to .xz tarballs.
  * Cleanup tests/env on clean to fix a FTBFS after the first successful
    build (closes: #651323).
  * Bump to debhelper 8.
  * Update copyright years.
  * Update Vcs-* URLs.
  * Update Homepage.

 -- Jordi Mallach <jordi@debian.org>  Mon, 02 Jan 2012 14:08:35 +0100
