=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: tinyproxy
 Section: web
 Priority: optional
-Maintainer: Ed Boraas <ed@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ed Boraas <ed@debian.org>
 Uploaders: Jordi Mallach <jordi@debian.org>
 Standards-Version: 3.9.2
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends: debhelper (>= 8.9.4),
+               dh-autoreconf,
                asciidoc, xmlto,
                libadns1-dev,
                flex, bison
-Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/tinyproxy
-Vcs-Browser: http://svn.debian.org/viewsvn/collab-maint/deb-maint/tinyproxy/
-Homepage: http://www.banu.com/tinyproxy/
+Vcs-Svn: svn://anonscm.debian.org/svn/collab-maint/deb-maint/tinyproxy
+Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/tinyproxy/
+Homepage: https://banu.com/tinyproxy/
 
 Package: tinyproxy
 Architecture: any
