=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 
 %:
-	dh $@
+	dh $@ --with autoreconf
 
 override_dh_auto_configure:
 	./configure --prefix=/usr --sysconfdir=/etc \
@@ -32,3 +32,7 @@
 # behaviour of loopback network interfaces.
 override_dh_auto_test:
 endif
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -rf $(CURDIR)/env
