=== debian/watch ===
version=3

http://www.banu.com/pub/tinyproxy/([\d\.]+[02468])/ \
	tinyproxy-(.*)\.tar\.xz
