## tinyproxy 1.8.4

=== debian/changelog ===
tinyproxy (1.8.4-5) unstable; urgency=medium

  * debian/control:
    + Add B:/R: pair to tinyproxy-bin, as it breaks tinyproxy (<< 1.8.4-4~).
      (Closes: #882385).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 22 Nov 2017 10:21:51 +0100

tinyproxy (1.8.4-4) unstable; urgency=medium

  [ Jordi Mallach ]
  * Add Mike Gabriel <sunweaver@debian.org> as new maintainer.
  * debian/control:
    + Update Standards-Version to 4.1.1, with no changes needed.

  [ Mike Gabriel ]
  * debian/*:
    + Split up tinyproxy into bin:pkgs tinyproxy-bin and tinyproxy.
      The first provides the executable only (plus DATADIR), the second
      everything else that is needed for running tinyproxy as a system
      service.
  * debian/control:
    + Versioned D (tinyproxy) on tinyproxy-bin from the source package version.
  * debian/{control,rules}:
    + Switch from dh_install --fail-missing to dh_missing --fail-missing.
  * lintian:
    + Drop non-standard-dir-perm override. Dir permissions are set in postinst,
      not in the package itself.
  * debian/patches:
    + Add minimal patch header to sighup_hang.patch.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 20 Nov 2017 12:55:19 +0100

tinyproxy (1.8.4-3) unstable; urgency=medium

  * Add sighup_hang.patch: Fix Tinyproxy ceasing to listen to connections
    after it receives a SIGHUP, something that happens daily in our default
    setup (closes: #880427).
  * Fix path to tinyproxy.conf in sysvinit script. Thanks, Guo Yixuan (郭溢譞)
    (closes: #870325).
  * Add Depends on adduser.
  * Update Standards-Version to 4.1.1, with no changes needed.

 -- Jordi Mallach <jordi@debian.org>  Wed, 15 Nov 2017 02:28:58 +0100

tinyproxy (1.8.4-2) unstable; urgency=medium

  * Remove obsolete preinst and postinst maintainer scripts.
  * Add a tinyproxy system user to run the daemon (LP: #590634).
  * Move tinyproxy.conf to /etc/tinyproxy, using dpkg-maintscript-helper.
  * Move filter file location to /etc/tinyproxy as well.
  * Remove obsolete README.Debian.
  * Set sysconfdir to /etc/tinyproxy.
  * Adjust tinyproxy.conf and tinyproxy.tmpfiles for tinyproxy user.
  * Make /var/log/tinyproxy owned by tinyproxy.
  * Add NEWS.Debian entry with warning about the tinyproxy user changes.
  * Remove /var/log/tinyproxy on purge.
  * Move handling of /var/log/tinyproxy permissions to postinst.
  * Stop installing templates by hand, upstream build system also does it.

 -- Jordi Mallach <jordi@debian.org>  Sat, 21 Jan 2017 12:40:00 +0100

tinyproxy (1.8.4-1) unstable; urgency=medium

  * New upstream release.
    - Drops supplementary groups on startup (thanks, Gaudenz Steinlin;
      closes: #722215).
  * Update Homepage URL again.
  * Update Vcs-* fields following migration to Git.
  * Bump to debhelper compat v10.
    Remove explicit Build-Depend on dh-autoreconf, now handled by dh.
  * Drop all patches, all merged upstream.
  * Drop no longer needed Build-Deps on bison, flex and libadns1-dev.
  * Call dh_auto_configure instead of configure directly.
  * Replace $(MAKE) call with dh_auto_install.
  * Rewrite copyright in machine-readable format version 1.0.
  * Make $DESC more descriptive in the init script.
  * Make init script source init-functions from lsb-base.
  * Update Standards-Version to 3.9.8.
  * Change /var/run references to /run.
  * Add Michael Adam's OpenPGP key to upstream/signing-key.asc.
  * Update watch file for Github releases, and check PGP signature.
  * Remove obsolete debian/source/options.
  * Add systemd service and tmpfile files.
  * Pass --fail-missing to dh_install.
  * Enable all hardening options.
  * Depend on lsb-base to ensure the utility functions are available.

 -- Jordi Mallach <jordi@debian.org>  Thu, 12 Jan 2017 17:47:16 +0100
