=== debian/control ===
Source: tinyproxy
Section: web
Priority: optional
Maintainer: Mike Gabriel <sunweaver@debian.org>
Uploaders: Ed Boraas <ed@debian.org>, Jordi Mallach <jordi@debian.org>
Standards-Version: 4.1.1
Build-Depends: debhelper (>= 10.3~),
               asciidoc,
               xmlto
Vcs-Git: https://anonscm.debian.org/git/collab-maint/tinyproxy.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/tinyproxy.git
Homepage: https://tinyproxy.github.io/

Package: tinyproxy
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         adduser,
         logrotate,
         lsb-base (>= 3.0-6),
         tinyproxy-bin (<< ${source:Version}.1~),
         tinyproxy-bin (>= ${source:Version}),
Description: Lightweight, non-caching, optionally anonymizing HTTP proxy
 An anonymizing HTTP proxy which is very light on system resources,
 ideal for smaller networks and similar situations where other proxies
 (such as Squid) may be overkill and/or a security risk. Tinyproxy can
 also be configured to anonymize HTTP requests (allowing for exceptions
 on a per-header basis).
 .
 This package contains everything for running tinyproxy as a system-wide
 service.

Package: tinyproxy-bin
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Breaks: tinyproxy (<< 1.8.4-4~),
Replaces: tinyproxy (<< 1.8.4-4~),
Description: Lightweight, non-caching, optionally anonymizing HTTP proxy (executable only)
 An anonymizing HTTP proxy which is very light on system resources,
 ideal for smaller networks and similar situations where other proxies
 (such as Squid) may be overkill and/or a security risk. Tinyproxy can
 also be configured to anonymize HTTP requests (allowing for exceptions
 on a per-header basis).
 .
 This package contains the minimal set of files required for running
 the tinyproxy executable.
