=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		--sysconfdir=/etc/tinyproxy \
		--enable-filter \
		--enable-transparent \
		--enable-regexcheck \
		--enable-reverse \
		--enable-upstream \
		--enable-xtinyproxy

override_dh_auto_install:
	dh_auto_install
	cp -a $(CURDIR)/debian/tinyproxy.conf $(CURDIR)/debian/tmp/etc/tinyproxy

override_dh_missing:
	dh_missing --fail-missing

ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
# The testsuite currently fails on kFreeBSD, apparently due to different
# behaviour of loopback network interfaces.
override_dh_auto_test:
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(CURDIR)/env
