## tinyproxy 1.10.0

=== debian/changelog ===
tinyproxy (1.10.0-5) unstable; urgency=medium

  [ Unit 193 ]
  * d/p/0001_fix-segfault-with-socks4.patch:
    + Grab an upstream patch to fix a segfault when using socks4 with
      tor. (Closes: #990434).

  [ Mike Gabriel ]
  * debian/tinyproxy.service:
    + Use KillMode=process (instead of the default 'control-group'). The main
      tinyproxy process will stop all its workers if a SIGTERM signal is
      received. This avoids SIGTERM racing situation where the tinyproxy main
      process and systemd are trying to kill tinyproxy's workers simultaneously.
      (Closes: #968322).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 02 Jul 2021 12:25:46 +0200

tinyproxy (1.10.0-4) unstable; urgency=medium

  * debian/tinyproxy.init:
    + Drop unconditional creation of PIDDIR. Follow-up for Vcs-Git commit
      b186fa94. Thanks to Unit193 for spotting this and also for the
      original patch. (Closes: #948283).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 21 Jan 2020 11:14:47 +0100

tinyproxy (1.10.0-3) unstable; urgency=medium

  * debian/tinyproxy.init:
    + Only set PIDDIR, if PIDFILE is a non-zero length string. (Closes:
      #948283).
    + Tab-indentation cleanup (whitespace only).
    + Drop usage of chgrp, check for non-zero length USER and GROUP variables.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 21 Jan 2020 10:37:45 +0100

tinyproxy (1.10.0-2) unstable; urgency=medium

  * debian/changelog:
    + Grammar fixes in previous stanza.
    + Bug number fix (missing hash) in previous stanza.
    + Fix CVE number in previous stanza. Thanks to Salvatore from the Debian
      Security Team for spotting this.
  * debian/tinyproxy.postinst:
    + Fix chmod on no files in empty log folder. (Closes: #909481).
    + Fix chown no files in empty log folder (the command was complete bogus
      before).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 23 Oct 2018 12:47:18 +0200

tinyproxy (1.10.0-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * New upstream release.
    - Make bind option usable with transparent proxy, too. (Closes: #609095).
    - Add SOCKS5 upstream proxy support. (Closes: #392848).
    - CVE-2017-11747: Create PID file before dropping privileges. (Closes:
      #870307).
    - Prevent child from calling exit() on interrupt. Proposed fix
      for the logrotate SIGHUP issues. (Closes: #704459).
  * debian/patches:
    + Add README file that informs about patch naming scheme.
    + Drop sighup_hang.patch. Applied upstream.
    + Add 1001_fix-select.patch. Handle multiple Listen directives properly.
      (Closes: #898492).
    + Add 1002_fix-ftbfs-on-Hurd.patch. Avoid duplication of build path when
      built on hurd-i386. (Closes: #882527)."
    + Add 1003_fix-rereading-filter-conf-when-unprivileged.patch. If dropping
      privileges, read the filter config always as unprivileged user and report
      an error, if that fails. (Closes: #756040).
  * debian/tinyproxy.conf:
    + Update Debian's tinyproxy.conf default configuration file.
  * debian/control:
    + Update Vcs-*: URLs. Packaging Git has been migrated to salsa.debian.org.
    + Bump Standards-Version: to 4.2.1. No changes needed.
  * debian/{control,compat}: Bump DH compat level to version 11.
  * debian/copyright:
    + Fix some DEP-3 format issues, add comment about current maintenance
      status.
  * debian/rules:
    + Add get-orig-source target.
    + Drop --enable-transparent configure option. Enabled by default now.
    + Drop --disable-regexcheck (not supported upstream anymore. Also fixes
      FTBFS during cross builds (Closes: #865832).
    + Include architecture.mk rather than executing dpkg-architecture.
    + Don't set --sysconfdir configure option. Is now ok with latest upstream
      version.
  * debian/tinyproxy-bin.install:
    + The tinyproxy executable has been installed to /usr/bin since this
      release, not /usr/sbin.
  * debian/tinyproxy.{init,service}:
    + The tinyproxy executable is in /usr/bin now.
  * debian/tinyproxy.init:
    + Let overriding the CONFIG variable via /etc/default/tinyproxy have an
      effect. (Closes: #762924).
  * debian/tinyproxy.default: Add file.
  * debian/tinyproxy.service:
    + Honour environment file in /etc/default/tinyproxy.
  * debian/tinyproxy.{install,docs}:
    + Correctly install documentation files into bin:pkg.
  * debian/tinyproxy.postinst:
    + Avoid recursive chown/chmod.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 04 Sep 2018 15:01:49 +0200
