=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Mike Gabriel <sunweaver@debian.org>
 Uploaders: Ed Boraas <ed@debian.org>, Jordi Mallach <jordi@debian.org>
-Standards-Version: 4.1.1
-Build-Depends: debhelper (>= 10.3~),
+Standards-Version: 4.2.1
+Build-Depends: debhelper (>= 11),
                asciidoc,
                xmlto
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/tinyproxy.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/tinyproxy.git
+Vcs-Git: https://salsa.debian.org/debian/tinyproxy.git
+Vcs-Browser: https://salsa.debian.org/debian/tinyproxy
 Homepage: https://tinyproxy.github.io/
 
 Package: tinyproxy
