=== debian/watch ===
version=3
opts=uversionmangle=s/(pre\d|rc\d)/~$1/,pgpsigurlmangle=s/$/.asc/ \
  https://github.com/tinyproxy/tinyproxy/releases .*/tinyproxy-(.+).tar.xz
