## tinyproxy 1.11.0

=== debian/changelog ===
tinyproxy (1.11.0-1ubuntu0.1~esm2) jammy-security; urgency=medium

  * SECURITY UPDATE: use-after-free in header handling (LP: #2074351)
    - debian/patches/CVE-2023-49606.patch: add validation on `reqs.c` which
      ensures that the value of header is not equal to either "connection"
      or "proxy-connection" to prevent double-free
    - CVE-2023-49606

 -- Shishir Subedi <shishir.subedi@canonical.com>  Sun, 15 Dec 2024 18:27:39 +0545

tinyproxy (1.11.0-1ubuntu0.1~esm1) jammy-security; urgency=medium

  * SECURITY UPDATE: sensitive information disclosure
    - debian/patches/CVE-2022-40468.patch: zero-terminate the strings on
      "reqs.c" so that is no leftover data to display in custom error page
    - CVE-2022-40468

 -- Shishir Subedi <shishir.subedi@canonical.com>  Wed, 27 Nov 2024 10:16:30 +0545

tinyproxy (1.11.0-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * debian/control: Add "Unit 193" to Uploaders: field.

  [ Unit 193 ]
  * d/watch: Update to find new upstream releases.
  * New upstream version 1.11.0.
    - Drop patches that no longer apply, refresh remaining.
    - d/tinyproxy.conf: Re-sync to upstream.
  * d/compat, d/control: Drop d/compat in favor of debhelper-compat, bump to 13.
  * d/rules: Drop get-orig-source target, explicit --with autoreconf,
    and dh_missing override.  Either default now or obsolete.
  * d/tinyproxy.docs: Drop docs/filter-howto.txt as it no longer exists.
  * d/control:
    - R³: no.
    - Pre-Depend on ${misc:Pre-Depends} in binary packages.
  * d/control, d/tinyproxy.(maintscript,postinst):
    - Remove deprecated migration code.
  * Rename d/tinyproxy.tmpfile to d/tinyproxy.tmpfiles.
  * Update Standards-Version to 4.6.0.

 -- Unit 193 <unit193@debian.org>  Mon, 08 Nov 2021 18:17:46 -0500
