=== debian/control ===
--- 
+++ 
@@ -1,10 +1,14 @@
 Source: tinyproxy
 Section: web
 Priority: optional
-Maintainer: Mike Gabriel <sunweaver@debian.org>
-Uploaders: Ed Boraas <ed@debian.org>, Jordi Mallach <jordi@debian.org>
-Standards-Version: 4.2.1
-Build-Depends: debhelper (>= 11),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Mike Gabriel <sunweaver@debian.org>
+Uploaders: Ed Boraas <ed@debian.org>,
+           Jordi Mallach <jordi@debian.org>,
+           Unit 193 <unit193@debian.org>,
+Rules-Requires-Root: no
+Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 13),
                asciidoc,
                xmlto
 Vcs-Git: https://salsa.debian.org/debian/tinyproxy.git
@@ -13,6 +17,7 @@
 
 Package: tinyproxy
 Architecture: all
+Pre-Depends: ${misc:Pre-Depends},
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          adduser,
@@ -32,10 +37,9 @@
 
 Package: tinyproxy-bin
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends},
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-Breaks: tinyproxy (<< 1.8.4-4~),
-Replaces: tinyproxy (<< 1.8.4-4~),
 Description: Lightweight, non-caching, optionally anonymizing HTTP proxy (executable only)
  An anonymizing HTTP proxy which is very light on system resources,
  ideal for smaller networks and similar situations where other proxies
