## tinyproxy 1.11.1

=== debian/changelog ===
tinyproxy (1.11.1-2.1+deb12u1) bookworm-security; urgency=medium

  * CVE-2023-49606 (Closes: #1070395)

 -- Moritz Mühlenhoff <jmm@debian.org>  Wed, 22 May 2024 20:05:05 +0200

tinyproxy (1.11.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:52:06 +0200

tinyproxy (1.11.1-2) unstable; urgency=medium

  * d/tinyproxy.service: Change reload signal from SIGHUP to SIGUSR1.
  * d/p/0001-prevent-junk-from-showing-up-in-error-page-in-invali.patch:
    - Grab upstream commit to fix a potential leak of left-over heap data if
      custom error page templates are used. (Closes: #1021015, CVE-2022-40468)

 -- Unit 193 <unit193@debian.org>  Fri, 30 Sep 2022 22:08:37 -0400

tinyproxy (1.11.1-1) unstable; urgency=medium

  * New upstream version 1.11.1.
    - Drop patches, upstreamed or from upstream.
  * d/tinyproxy.conf: Re-sync with upstream.
  * d/tinyproxy.init: Pass the pidfile to start-stop-daemon if found.
  * d/tinyproxy.service: Change to simple (non-forking) service, drop pidfile.
  * Update Standards-Version to 4.6.1.

 -- Unit 193 <unit193@debian.org>  Sat, 28 May 2022 19:47:54 -0400
