=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: tinyproxy
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Mike Gabriel <sunweaver@debian.org>
+Maintainer: Mike Gabriel <sunweaver@debian.org>
 Uploaders: Ed Boraas <ed@debian.org>,
            Jordi Mallach <jordi@debian.org>,
            Unit 193 <unit193@debian.org>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Build-Depends: debhelper-compat (= 13),
                asciidoc,
                xmlto
