## tinyproxy 1.11.2

=== debian/changelog ===
tinyproxy (1.11.2-1) unstable; urgency=medium

  * New upstream version 1.11.2.
    - fix omission to reset socklen parameter for accept() (LP: #2023248)
    - Drop upstream patches.

 -- Unit 193 <unit193@debian.org>  Fri, 10 May 2024 01:42:59 -0400

tinyproxy (1.11.1-4) unstable; urgency=high

  * d/p/0002-fix-potential-UAF-in-header-handling-CVE-2023-49606.patch:
    - Grab an upstream commit to fix a possible remote code execution.
      CVE-2023-49606, Debian #1070395.
  * Update Standards-Version to 4.7.0.

 -- Unit 193 <unit193@debian.org>  Wed, 08 May 2024 03:19:45 -0400

tinyproxy (1.11.1-3) unstable; urgency=medium

  * d/rules: Fix the cleaning phase. (Closes: #1045646)
  * d/tinyproxy.postinst:
    - Only run our commands during configure.
    - Fix ownership of the log directory. (Closes: #1023473)
  * d/watch: Update to use GitHub tags.

 -- Unit 193 <unit193@debian.org>  Thu, 17 Aug 2023 20:07:23 -0400
