=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Jordi Mallach <jordi@debian.org>,
            Unit 193 <unit193@debian.org>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Build-Depends: debhelper-compat (= 13),
                asciidoc,
                xmlto
