=== debian/watch ===
version=4
opts=uversionmangle=s/-?(pre\d|rc\d)/~$1/,pgpsigurlmangle=s/$/.asc/ \
  https://github.com/tinyproxy/tinyproxy/tags .*/@ANY_VERSION@@ARCHIVE_EXT@
